groovy.util

## Class ObservableList.ElementUpdatedEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.PropertyChangeEvent
    - - groovy.util.ObservableList.ElementEvent
      - - groovy.util.ObservableList.ElementUpdatedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableList

    public static class ObservableList.ElementUpdatedEvent
    extends ObservableList.ElementEvent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class groovy.util.ObservableList.ElementEvent

`ADDED, CLEARED, MULTI_ADD, MULTI_REMOVE, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`ObservableList.ElementUpdatedEvent(Object source, Object oldValue, Object newValue, int index)`

### Method Summary

### Methods inherited from class groovy.util.ObservableList.ElementEvent

`getIndex, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ObservableList.ElementUpdatedEvent

    public ObservableList.ElementUpdatedEvent(Object source,
                                      Object oldValue,
                                      Object newValue,
                                      int index)